import * as React from "react";

import { BrowserRouter } from "react-router-dom";

import { Router } from "./router";
import { CustomTheme } from "@shared";
import { ThemeProvider } from "@mui/material/styles";
import { ToastContainer } from "react-toastify";

export const App: React.FC = () => (
  <ThemeProvider theme={CustomTheme.Light}>
    <ToastContainer />
    <BrowserRouter>
      <Router />
    </BrowserRouter>
  </ThemeProvider>
);
